[at-spi2-core: 6/7] run-tests.sh - Allow the script to fail early




commit 5f7a4aa0e7525c0c1f86e3350f7900a53cfee269
Author: Federico Mena Quintero <federico gnome org>
Date:   Thu Dec 16 19:03:23 2021 -0600

    run-tests.sh - Allow the script to fail early
    
    This will catch failures as part of a CI run.

 .gitlab-ci/run-tests.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
---
diff --git a/.gitlab-ci/run-tests.sh b/.gitlab-ci/run-tests.sh
index 366bdc3a..f3ce5c2c 100755
--- a/.gitlab-ci/run-tests.sh
+++ b/.gitlab-ci/run-tests.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 echo "About to run the tests.  First we'll launch the accessibility bus by calling GetAddress:"
 
 dbus-send --print-reply --session --dest=org.a11y.Bus /org/a11y/bus org.a11y.Bus.GetAddress
@@ -13,4 +15,3 @@ meson test -C _build
 echo "After the tests - calling GetAddress again:"
 
 dbus-send --print-reply --session --dest=org.a11y.Bus /org/a11y/bus org.a11y.Bus.GetAddress
-


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]